## Author Storage type with the Organization field
This example shows how to create the author storage type with the organization field using the storage entity module,
and use it into the content type as the entity reference.


### Steps to add Author and Organization Fields into the Storage type
Go to Structure > Storage types > Add Storage type.
And create the author storage type, filling out Type label, description, etc.

- Add Author and Organization field types according to the image below.
  ![stor_author_org_manage_fields.jpg](./images/stor_author_orgs/stor_author_org_manage_fields.jpg "Author and Organization Manage Fields in Storage Type")


- Configure "Manage form display" for the author field. Since the default widget type for organization field is used,
the author field widget type is configured, disabling the organization field in this case.
  ![stor_author_org_manage_form_display.jpg](./images/stor_author_orgs/stor_author_org_manage_form_display.jpg "Author and Organization Manage Form Display in Storage Type")


- Configure "Manage display" for the author field. The configurable "Author field" and "Organization field" format types are selected.
  ![stor_author_org_manage_display.jpg](./images/stor_author_orgs/stor_author_org_manage_display.jpg "Author and Organization Manage Display in Storage Type")


- In "Edit" page for the Storage author type, configure the "Pattern for automatic name generation" field using the "Browser available tokens" link provided by the "token" module.
  ![stor_token_author_org_name.jpg](./images/stor_author_orgs/stor_token_author_org_name.jpg "Author Org Token in Storage Type")


### Steps to add the above Storage Author type into the Content type
Go to Structure > Content types, and click the "Add content type" button.
And create the specific content type, filling out name, Machine-readable name, description, etc.

- When adding new field into the content type, The field type, "Reference -> Storage" option in the dropdown list is selected. After that, the reference type is selected.
  ![ct_author_org_ref_type.jpg](./images/stor_author_orgs/ct_author_org_ref_type.jpg "Storage Author and Organization reference type  in Content Type")


- Add the author field as the entity reference created by the Storage type.
  ![ct_author_org_manage_fields.jpg](./images/stor_author_orgs/ct_author_org_manage_fields.jpg "Author and Organization Manage Fields in Content Type")


- Configure "Manage form display" for the author field. As the widget type, the "inline entity form - Complex" is selected in the dropdown list.
  ![ct_author_org_manage_form_display.jpg](./images/stor_author_orgs/ct_author_org_manage_form_display.jpg "Author and Organization Manage Form Display in Content Type")


- Configure "Manage display" for the author field. As the format type, The "Rendered entity" is selected in the dropdown list.
  ![ct_author_org_manage_display.jpg](./images/stor_author_orgs/ct_author_org_manage_display.jpg "Author and Organization Manage Display in Content Type")

### Steps to create the content for the author field using the above Content type.
Go to Content, and click the "Add content" button, and create a content using the above content type.
Two authors as examples are added.

- Edit content page for the author field.
  ![content_author_org_edit_page.jpg](./images/stor_author_orgs/content_author_org_edit_page.jpg "Author and Organization Edit Page in Content")


- In "Edit" page, update the author field.
  ![content_author_org_edit_update_page.jpg](./images/stor_author_orgs/content_author_org_edit_update_page.jpg "Author and Organization Upate in Edit Page in Content")


- Display the author fields in "View" page
  ![content_author_org_view.jpg](./images/stor_author_orgs/content_author_org_view.jpg "Author and Organization View Page in Content")
